<div class="px-24 py-4 h-screen">
  <div class="flex justify-end font-bold text-xl space-x-9">
    <a href="/admin/product/list"
      class="text-blue-800 cursor-pointer transition-colors duration-300 dark:text-red-800">Danh sách sản phẩm</a>
    <a href="/admin/product/add"
      class="text-blue-500 cursor-pointer transition-colors duration-300 dark:text-red-500">Thêm sản phẩm</a>
  </div>
  <h1 class="font-medium text-2xl text-black mb-5 dark:text-white">Danh Sách Sản Phẩm</h1>
  <div class="w-full boder">
    <div *ngIf="loading" class="lds-ring flex justify-center my-8">
      <div></div>
      <div></div>
      <div></div>
      <div></div>
    </div>
    <div class="w-full">
      <table class="w-full table-auto">
        <thead class="bg-blue-400">
          <tr>
            <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-white uppercase tracking-wider">Tên Sản
              Phẩm</th>
            <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-white uppercase tracking-wider">Giá</th>
            <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-white uppercase tracking-wider">Tồn Kho
            </th>
            <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-white uppercase tracking-wider">Loại Sản
              Phẩm
            </th>
            <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-white uppercase tracking-wider">Hành
              Động</th>
          </tr>
        </thead>
        <tbody class="bg-white divide-y divide-blue-200 text-left">
          <tr *ngFor="let product of products">
            <td class="px-6 py-4 whitespace-nowrap">{{ product.name }}</td>
            <td class="px-6 py-4 whitespace-nowrap">$ {{ product.price }}</td>
            <td class="px-6 py-4 whitespace-nowrap">{{ product.stock }}</td>
            <td class="px-6 py-4 whitespace-nowrap">{{ getCategoryName(product.category) }}</td>
            <td class="px-6 py-4 whitespace-nowrap">
              <a class="text-blue-500 font-semibold mr-5" href="/admin/product/edit/{{ product.id }}">Chỉnh Sửa</a>
              <button (click)="onDelete(product.id)"
                class="px-5 py-1 bg-red-600 rounded-2xl text-white font-semibold">Xóa</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
